跳转到主要内容
GET
/
v1
/
wallet
/
{chain}
/
{walletAddress}
/
pnl-details
钱包 - 盈亏详情
curl --request GET \
  --url https://api.chainstream.io/v1/wallet/{chain}/{walletAddress}/pnl-details \
  --header 'Authorization: Bearer <token>'
{
  "summary": {
    "tokens": "15322",
    "buys": "6546312",
    "sells": "4012013",
    "totalTrades": "10558325",
    "wins": "1999472",
    "losses": "1742452",
    "winRate": "0.5343",
    "buyAmountInUsd": "372090700.51",
    "sellAmountInUsd": "214526094.35",
    "totalCostInUsd": "372090700.51",
    "currentValue": "1397331840.48",
    "realizedProfitInUsd": "-2699411.26",
    "realizedProfitRatio": "-0.0072547130",
    "unrealizedProfitInUsd": "1397331840.48",
    "totalProfitInUsd": "1394632429.22",
    "avgProfitPerTradeInUsd": "132.09"
  },
  "data": [
    {
      "tokenAddress": "4MbgMQGvXBWyxKsTfrvkcRgh5FNLg1VxLnzWqbsdPh7p",
      "symbol": "SOL",
      "name": "Solana",
      "decimals": 9,
      "walletAddress": "54Pz1e35z9uoFdnxtzjp7xZQoFiofqhdayQWBMN7dsuy",
      "balance": "1254982158.71",
      "priceInUsd": "0.8466367032",
      "currentValue": "1062547123.45",
      "buys": "275",
      "sells": "110",
      "totalTrades": "385",
      "buyAmount": "1457986404.21",
      "sellAmount": "203004245.50",
      "buyAmountInUsd": "48469.17",
      "sellAmountInUsd": "6467.32",
      "avgBuyPriceInUsd": "0.0000332439",
      "avgSellPriceInUsd": "0.0000318580",
      "realizedProfitInUsd": "67.13",
      "realizedProfitRatio": "0.0013849997",
      "unrealizedProfitInUsd": "1234336333.41",
      "unrealizedProfitRatio": "25466.42",
      "totalProfitInUsd": "1234336400.54",
      "totalProfitRatio": "25466.42",
      "avgProfitPerTradeInUsd": "3205025.72",
      "logoUri": "https://..."
    }
  ],
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "<string>",
  "endCursor": "<string>",
  "total": 0
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

chain
enum<string>
必填

支持网络中列出的区块链名称

可用选项:
sol,
bsc,
eth
walletAddress
string
必填

钱包地址

示例:

"54Pz1e35z9uoFdnxtzjp7xZQoFiofqhdayQWBMN7dsuy"

查询参数

cursor
string

分页游标

limit
integer<int64>
默认值:20

每页结果数量

必填范围: 1 <= x <= 100
direction
enum<string>
默认值:next

分页方向(next或prev)

可用选项:
next,
prev

响应

200 - application/json
summary
object
必填

所有代币的盈亏汇总

data
object[]
必填

数据项数组

hasNext
boolean
默认值:false

指示是否有更多结果

hasPrev
boolean
默认值:false

指示是否有上一页结果

startCursor
string

当前页第一项的游标

endCursor
string

当前页最后一项的游标

total
integer<int64>
默认值:0

总项目数